CollectionsHosted PaymentsTracked Payment QR Codes

Get a tracked QR code payment

Retrieves the status and details of a previously generated, Acme-hosted PayNow QR code using its unique ID. This API allows clients to check whether a credit notification for the tracked payment has been received, confirming payment completion. Only QR codes generated via create a tracked QR code are supported. Currently, this API only supports PayNow in Singapore.

GET
/v1/tracked-payment-qr-codes/{id}

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Path Parameters

id*string

Response Body

*/*

application/json

curl -X GET "https://example.com/v1/tracked-payment-qr-codes/string"

A paid tracked QR code. bankReference and statusSource identify the credit that settled it.

{
  "id": "qrpymt_0J7QB3YB2P791",
  "status": "SUCCEEDED",
  "type": "PAYNOW",
  "proxyType": "UEN",
  "proxyValue": "202303536E",
  "amount": 1250,
  "currency": "SGD",
  "expirySeconds": 900,
  "transactionReference": "QR-10042",
  "amountEditable": false,
  "qrCodeImageUrl": "https://acme-paynow-qr-code.s3.ap-southeast-1.amazonaws.com/qr/QR-10042.png",
  "resultCode": null,
  "underlyingResultCode": null,
  "underlyingResultDescription": null,
  "bankReference": "20260909UOVBSGSGBRT3721482",
  "bankAccount": {
    "id": "intacc_0H3BQY9BK1FCG",
    "bank": "UOVBSGSGXXX",
    "bankAccountNumber": "0052312891"
  },
  "statusSource": "txn_0J7QB5RNT8ZJE",
  "createdAt": "2026-09-09T07:21:19.281000Z",
  "updatedAt": "2026-09-09T07:34:31.767000Z"
}